{% extends 'base.html.twig' %}

{% block icon %}fa fa-layer-group{% endblock %}
{% block title %}Catégories{% endblock %}
{% block breadcrumb %}
    <li>Tableau de gestion</li>
    <li class="active">Catégories</li>
{% endblock %}

{% block body %}
    <div class="container btn-separator">
        {% if can_access('app_category_add') %}
            <button
                    type="button"
                    class="btn btn-success"
                    data-modal="ajax"
                    data-url="{{ url('app_category_add') }}"
                    data-title="Créer une catégorie"
                    data-table="#{{ table.id() }}"
            >
                <i class="fa fa-plus-circle fa-space" aria-hidden="true"></i>
                Créer une catégorie
            </button>
        {% endif %}

        {% if can_access('app_category_import1') %}
            <button
                    type="button"
                    class="btn btn-success"
                    data-modal="ajax"
                    data-url="{{ url('app_category_import1') }}"
                    data-title="Importer des catégories"
                    data-table="#{{ table.id() }}"
                    data-btn-accept-content="{{ '<i class="fa fa-right-long" aria-hidden="true"></i><span>Etape 2</span>'|escape('html') }}"
            >
                <i class="fa fa-upload fa-space" aria-hidden="true"></i>
                Importer des catégories
            </button>
        {% endif %}

        {% if can_access('app_category_export') %}
            <a href="{{ url('app_category_export', app.request.query.all) }}" download="export_category.refae" target="_blank" class="btn btn-primary">
                <i class="fa fa-download fa-space" aria-hidden="true"></i>Exporter les éléments
            </a>
        {% endif %}
    </div>

    {{ generate_filters(table) }}

    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des Catégories"
        }
    ) }}

    <section class="container text-right">
        <a href="{{ url('app_category_csv', app.request.query.all) }}" data-link-download-csv="%s_category.csv" target="_blank" class="btn btn-primary">
            <i class="fa fa-download fa-space" aria-hidden="true"></i>Télécharger au format CSV
        </a>
    </section>
{% endblock %}
